%global sum Returns Unicode slugs

Name:           python-slugify
Version:        1.2.0
Release:        2%{?dist}
Summary:        %{sum}

License:        BSD
URL:            https://github.com/un33k/python-slugify
Source0:        https://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz
# License file from GitHub
# https://raw.githubusercontent.com/un33k/python-slugify/master/LICENSE.md
Source1:        LICENSE.md

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

%description
A Python slugify application that handles Unicode.

%package -n python2-slugify
Summary:        %{sum}
%{?python_provide:%python_provide python2-slugify}
Requires:       python-unidecode

%description -n python2-slugify
A Python slugify application that handles Unicode.

%package -n python3-slugify
Summary:        %{sum}
%{?python_provide:%python_provide python3-slugify}
Requires:       python3-unidecode
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-slugify
A Python slugify application that handles Unicode.

%prep
%setup -q -n %{name}-%{version}

cp -p %{SOURCE1} .

%build
%py2_build
%py3_build

%install
%py2_install
mv %{buildroot}/%{_bindir}/slugify \
    %{buildroot}/%{_bindir}/python2-slugify

%py3_install

# rename binaries, make compat symlinks
pushd %{buildroot}%{_bindir}
for i in slugify-{2,%{?python2_version}}; do
    ln -s python2-slugify $i
done

for i in slugify-{3,%{?python3_version}}; do
    ln -s slugify $i
done

%files -n python2-slugify
%license LICENSE.md
%{_bindir}/python2-*
%{_bindir}/slugify-2*
%{python2_sitelib}/slugify/
%{python2_sitelib}/python_slugify-%{version}-py?.?.egg-info

%files -n python3-slugify
%license LICENSE.md
%{_bindir}/slugify
%{_bindir}/slugify-3*
%{python3_sitelib}/slugify/
%{python3_sitelib}/python_slugify-%{version}-py?.?.egg-info

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Jan 17 2016 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 1.2.0
- Update to 1.2.0 (switching to sources from new upstream)
- Add Python 3 support

* Thu Sep 17 2015 William Moreno Reyes <williamjmorenor at gmail.com> - 0.0.1-7
- Update python macros

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jun 11 2015 William José Moreno Reyes <williamjmorenor at gmail.com> - 0.0.1-5
- Fix %%Requires

* Thu Dec 25 2014 William Moreno Reyes < williamjmorenor at gmail.com> - 0.0.1.4
- Fix %%license macro

* Sun Dec 07 2014 William Moreno Reyes < williamjmorenor at gmail.com> - 0.0.1-3
- Add %%license macro

* Mon Oct 27 2014 William José Moreno Reyes <williamjmorenor at gmail.com> - 0.0.1-2
- Patching Licence

* Mon Oct 20 2014 William José Moreno Reyes <williamjmorenor at gmail.com> - 0.0.1-1
- Initial package.
